Subject: [IPv6]Re: [Snac] Re: Re: Datatracker State Update Notice: <draft-ietf-6man-snac-router-ra-flag-03.txt>
From: [email-masked]
To: Jonathan Hui <[email-masked]>
Cc: "Eric Vyncke (evyncke)" <evyncke=[email-masked]>, Bob Hinden <[email-masked]>, Michael Richardson <[email-masked]>, IPv6 List <[email-masked]>, "[email-masked]" <[email-masked]>
Date: Thu, 9 Apr 2026 06:20:52 +0000
List-Id: "IPv6 Maintenance Working Group (6man)" <ipv6.ietf.org>

Hi Jonathan,

Thanks for preparing this version. I think this version solves the main issue.

For the sake of clarity/consistency, I suggest to also make the following changes:

# Abstract: infrastructure is not used in the main spec

OLD:
   information sent by SNAC routers from information sent by
   infrastructure routers.

NEW:
   information sent by SNAC routers from information sent by
   transit routers.

# I think that I would delete this sentence

CURRENT:
   This flag is used only by SNAC routers and
   is ignored by all other devices.

This can be used by others to discover SNAC routers.

# Introduction : help readers understand what is a transit/stub.

OLD:
   A Stub Network Auto-Configuring (SNAC) router is an autonomously
   configuring router that provides IP connectivity between one or more
   stub networks and one or more transit networks.

NEW:
   Per Section 2.1 of [RFC2328], networks can be either transit or
   stub networks. Transit networks are those capable of carrying
   data traffic that is neither locally originated nor locally
  destined.

   A Stub Network Auto-Configuring (SNAC) router is an autonomously
   configuring router that provides IP connectivity between one or more
   stub networks and one or more transit networks.

Cheers,
Med

De : Jonathan Hui <[email-masked]>
Envoyé : jeudi 9 avril 2026 08:01
À : BOUCADAIR Mohamed INNOV/NET <[email-masked]>
Cc : Ted Lemon <[email-masked]>; David Farmer <[email-masked]>; Eric Vyncke (evyncke) <evyncke=[email-masked]>; Bob Hinden <[email-masked]>; Michael Richardson <[email-masked]>; IPv6 List <[email-masked]>; [email-masked]
Objet : Re: [Snac] Re: [IPv6]Re: Datatracker State Update Notice: <draft-ietf-6man-snac-router-ra-flag-03.txt>

Thanks for all the comments and discussion. I just posted a new draft. Please review.

--
Jonathan Hui

On Mon, Apr 6, 2026 at 11:41 PM <[email-masked]<mailto:[email-masked]>> wrote:
Hi Ted, David, all,

I also like this.

This change will also address one of the comments I had in my review.

Cheers,
Med

> -----Message d'origine-----
> De : Ted Lemon <[email-masked]<mailto:[email-masked]>>
> Envoyé : lundi 6 avril 2026 16:38
> À : David Farmer <[email-masked]<mailto:[email-masked]>>
> Cc : BOUCADAIR Mohamed INNOV/NET <[email-masked]<mailto:[email-masked]>>;
> Eric Vyncke (evyncke) <evyncke=[email-masked]<mailto:[email-masked]>>; Bob
> Hinden <[email-masked]<mailto:[email-masked]>>; Michael Richardson
> <[email-masked]<mailto:[email-masked]>>; IPv6 List <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
> Objet : Re: [IPv6]Re: [Snac] Datatracker State Update Notice:
> <draft-ietf-6man-snac-router-ra-flag-03.txt>
>
>
> I think that makes sense. The term "infrastructure" is specific to
> SNAC, so we don't actually need to use it here.
>
> > On 6 Apr 2026, at 16:02, David Farmer <[email-masked]<mailto:[email-masked]>> wrote:
> >
> > If we use Section 2.1 of [RFC2328] as the reference for a "stub
> network", then maybe we should use "transit network", which is
> also used in Section 2.1 of [RFC2328], instead of "infrastructure
> network", or at least make it clear that the two terms are
> equivalent.

____________________________________________________________________________________________________________
Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.
--
Snac mailing list -- [email-masked]<mailto:[email-masked]>
To unsubscribe send an email to [email-masked]<mailto:[email-masked]>
____________________________________________________________________________________________________________
Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.